// sets random skill depending on unit's class
//#define DEBUG_MODE_FULL
#include "script_component.hpp"

PARAMS_1(_unit);
private["_sa","_i","_st","_sv"];

if (!isNil "ASR_AISKILL_DISABLED") exitWith {};

_sa = _unit call FUNC(GetUnitSkill); // get skill array for this unit
if (count _sa == 0) exitWith {}; // do not run if empty

sleep 30 + random 10; // give time to other scripts to assign this skill
if (isNull _unit) exitWith {};

_i = 0;
while {_i < count _sa} do {
	_st = _sa select _i; // skill type
	INC(_i);
	_sv = (_sa select _i select 0) + random (_sa select _i select 1); // skill value, min skill + random variance
	INC(_i);
	_unit setSkill [_st,_sv]; //TRACE_3("Setting unit skill",_unit,_st,_sv);
};
